--- /dev/null
+#!/bin/bash
+# copyright 2012 Holger Levsen GPL2 licenced, holger@layer-acht.org
+
+set -e
+
+if [ -z "${BUILD_NUMBER}" ]
+then
+ echo "\$BUILD_NUMBER is empty, not using Jenkins? Please export manually!"
+ exit 1
+fi
+
+if [ -z "${TEST_STATE}" ]
+then
+ echo "\$TEST_STATE is empty, not using Jenkins? Please export manually!"
+ exit 1
+fi
+
+# Checkout liveboot repo
+BUILD_SCRIPT=$(mktemp)
+cat > $BUILD_SCRIPT <<-EOF
+cd /srv/build
+rm liveboot_test_state -rf
+git clone git://git/ri/liveboot.git liveboot_test_state
+cd liveboot_test_state
+git checkout $GIT_BRANCH
+./liveboot_test_reporter.py $BUILD_NUMBER $TEST_STATE
+EOF
+
+bash -x $BUILD_SCRIPT
+
+figlet "OK"
\ No newline at end of file